### Function

# GObject signal_query

#### Declaration

    void
    g_signal_query (
      guint signal_id,
      GSignalQuery* query
    )

#### Description

Queries the signal system for in-depth information about a specific signal. This function will fill in a user-provided structure to hold signal-specific information. If an invalid signal id is passed in, the `signal_id` member of the `GSignalQuery` is 0. All members filled into the `GSignalQuery` structure should be considered constant and have to be left untouched.

#### Parameters

`signal_id`

  Type: `guint`

  The signal id of the signal to query information for.

`query`

  Type: `GSignalQuery`

  A user provided structure that is filled in with constant values upon success.

  The argument will be set by the function.
  The returned data is owned by the function.